
Core - Bug # 55706

Status: Resolved Priority: Must have
Author: Bjoern Jacob Category: Content Rendering
Created: 2014-02-05 Assigned To:
Updated: 2014-04-04 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: Yes
Sprint Focus:
Subject: Different behavior of levelmedia in TYPO3 6.2
Description

I think levelmedia is behaving "strangely" (i.e. different compared to older versions) in TYPO3 6.2beta5. I've tested it with 3
installations.

The TypoScript

lib.getPageRessource = TEXT
lib.getPageRessource {
  data = levelmedia:-1, slide
}
<pre>

returns the following values:

* TYPO3 4.7: filename.jpg (i.e. filename)
* TYPO3 6.1: 63 (i.e. uid of file reference)
* TYPO3 6.2beta5: 35,34,33,22,18,17,16,15,14,10,9,7,12,11,8 (i.e. uids of all file references)

IMHO levelmedia should still return one uid which "fits the rootline".
Related issues:
related to Core - Bug # 43708: leveluid with slide doesn't work across multip... Closed 2012-12-07
related to Core - Bug # 55923: intval() to (int) conversion regressions Resolved 2014-02-12
follows Core - Task # 54265: Use (int) instead of intval() or (integer) Resolved 2013-12-07

Associated revisions
Revision cb0a33aa - 2014-02-12 13:52 - Michiel Roos

[BUGFIX] Regression: intval patch broke levelmedia

	
Change-Id: Ib1c877c1353844dfac1955c39c864a0974bd6b78
Resolves: #55706
Releases: 6.2
Reviewed-on: https://review.typo3.org/27573
Reviewed-by: Stefano Kowalke
Reviewed-by: Jo Hasenau
Tested-by: Jo Hasenau
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-02-07 13:55 - Simon Würstle

Same probleme here with 6.2beta5. It behaves normal with beta4.

#2 - 2014-02-10 10:25 - Ernesto Baschny
- Category set to Content Rendering
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- Target version set to 6.2.0
- Is Regression changed from No to Yes

Problem is reproduceable. Bug introduced in #54265 "(int) to intval()" optimization. Hope that's the last problem found with that big change. :(

#3 - 2014-02-12 13:07 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27573

#4 - 2014-02-12 13:17 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27573

#5 - 2014-02-12 13:43 - Stefan Neufeind

Patch is currently under review. Of course you are right this change was not intended.

	
Just to have this complete: You mentioned that you now get IDs instead of a filename. Since FAL and file-releations you now need to add
"treatIdAsReference = 1" to get the filename again.

#6 - 2014-02-12 14:30 - Michiel Roos
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:cb0a33aaa98b00287516275dc8eea047f628d53b.

#7 - 2014-02-16 18:39 - Bjoern Jacob

@Stefan: That's right. Since there's the new FILES cObject I prefer using it instead of the "old" IMAGES cObject. For the last one we need the
treatIdAsReference switch. Thx for clarification.

#8 - 2014-04-04 08:51 - Sebastian Schmal

here a german instructions:
http://blog.ingeniumdesign.de/2014/03/30/typo3-6-2-probleme-mit-ressourcen-media-auslesen/
